<?php
/*
Plugin Name: Content Warning v2
Plugin URI: http://www.plugish.com/plugins/content-warning-v2/
Description: This is a revised verson of an old abandoned plugin by rjeevan which was based on wp-door. The older plugin version provided a "site-wide" content warning dialog to users.  This expands on that previous ideology and gives administrators and authors a little more flexability.
Version: 2.4.7
Author: Jerry Wood
Author URI: http://profiles.wordpress.org/users/Phyrax/
*/?>
<?php

/**
*	Registering stylesheets & scripts
*/
wp_register_style('wpcwv2_admin_style', WP_PLUGIN_URL.'/content-warning-v2/assets/wpcw_admin.css', FALSE, '2.4.7', 'screen');
wp_register_style('wpcwv2_user_style', WP_PLUGIN_URL.'/content-warning-v2/assets/wpcw.css', array('thickbox'), '2.4.7', 'screen');
wp_register_script('wpcwv2_admin_js', WP_PLUGIN_URL.'/content-warning-v2/assets/wpcw_admin.js', array('jquery'), '2.4.7', FALSE);
wp_register_script('wpcwv2_js', WP_PLUGIN_URL.'/content-warning-v2/assets/wpcwv2.js', array('jquery', 'thickbox'), '3.4.7', TRUE);

include('lib/postMeta.inc.php');
include('lib/admin.inc.php');
include('lib/registerSettings.inc.php');
include('lib/ajax.inc.php');

/**
* A workaround for the wp-login.php is_admin issue
*/

function is_login_page() {
    return in_array($GLOBALS['pagenow'], array('wp-login.php', 'wp-register.php'));
}

/**
* Hook onto the option filter to calculate the appropriate timeout.
*/

function calc_cookie_death(){
	$expire = $_POST['wpcwv2_cookie_expire_num'];
	$type = $_POST['wpcwv2_cookie_expire_type'];
	$newVal = intval($expire)*intval($type);
	return $newVal;
}
add_filter('pre_update_option_wpcwv2_cookie_expire', 'calc_cookie_death');

function getMyJS(){
	global $wp_query;
	
	$postID = $wp_query->post->ID;
	/*	
	echo "Post ID is: ".$postID."<br />";
	echo "<pre>";
	var_dump($wp_query);
	echo "</pre>";
	exit;
	*/
		
	// Disables the javascript and styles should you be in the admin menus, login/register pages, 
	// feed, or be an administrator just browsing the site.
	if(is_admin() || is_feed() || is_login_page() || current_user_can('manage_options'))
		return FALSE;
	
	if(get_option('wpcwv2_author_override') == 1)
		$metaVal = get_post_meta($postID, 'wpcwv2_override', TRUE);
		$def = get_option('wpcwv2_author_default');
		$metaVal = ($metaVal == NULL ? $def : $metaVal);
	
	$scriptParams = array(
		'postID' => $postID,
		'url' => get_bloginfo('url')."/wp-admin/admin-ajax.php",
		'exit_url' => get_option('wpcwv2_msg_exit_url'),
		'cwv2DataNonce' => wp_create_nonce('wpcwv2_ajax_data_nonce')
	);
	
	if(get_option('wpcwv2_enabled') == "1" && $metaVal == "1"){
		wp_enqueue_style('wpcwv2_user_style');
		wp_enqueue_script('wpcwv2_js');
		wp_localize_script('wpcwv2_js', 'cwv2Params', $scriptParams);
	}
}
add_action('wp_head', 'getMyJS');

function pages_dropdown($type){
	$pagesArray = get_pages();
	$output = '<select name="wpcwv2_'.$type.'_page_id" id="wpcwv2_'.$type.'_page_id">';
	$output .= '<option value="-1">--- NONE ---</option>';
	foreach($pagesArray as $page){
		$output .= '<option value="'.$page->ID.'" '.selected(get_option("wpcwv2_".$type."_page_id"),$page->ID, FALSE).'>';
		$output .= $page->post_title;
		$output .= '</option>';
	}
	$output .='</select>';
	return $output;
}

function get_cat_checkboxes( $selected_cats = null ) {
	$all_categories = get_categories();
	$o = '<ul style="margin-left:12px">';
	foreach($all_categories as $key => $cat) {
		if($cat->parent == "0") $o .= __show_category($cat, $selected_cats);
	}
	return $o . '</ul>';
}
function __show_category($cat_object, $selected_cats = null) {
	$checked = "";
	if(!is_null($selected_cats) && is_array($selected_cats)) {
		$checked = (in_array($cat_object->cat_ID, $selected_cats)) ? 'checked="checked"' : "";
	}
	$ou = '<li><label><input ' . $checked .' type="checkbox" name="cats[]" value="'. $cat_object->cat_ID .'" /> ' . $cat_object->cat_name . '</label>';
	$childs = get_categories('parent=' . $cat_object->cat_ID);
	foreach($childs as $key => $cat) {
		$ou .= '<ul style="margin-left:12px">' . __show_category($cat, $selected_cats) . '</ul>';
	}
	$ou .= '</li>';
	return $ou;
}

?>